<?php
$formname = "form_department_card";
$translation = \DynCom\mysyde\common\classes\Registry::get("translation");
$inputname = "input_id";
?>

<div id="overlaycrumb">
    <?php if ($input_department["id"] == "") {
        echo $translation->get("new_department");
    } else {
        echo $translation->get("edit_department");
    }
    ?>
    <div id="closeoverlay" onclick="disableOverlay();"></div>
</div>
<ul class="toolbar_menu">
    <?= button("save", $translation->get("save"), $formname, "loadCard('save', true)"); ?>
    <?= button("save", $translation->get("save_and_close"), $formname, "loadCard('save', true, '', true)"); ?>

    <?php
    if ($input_department["id"] != "") {
        echo button("delete", $translation->get("delete"), $formname, "loadCard('delete', true, '{$translation->get('delete_department_confirm')}', true)", "", FALSE);
    }
    ?>

</ul>

<?php
if ($messages !== null) {
    if (count($messages)) {
        echo '<div id="overlayMessages">' . join("\r\n", $messages) . '</div>';
    }
}


?>

<form id="<?= $formname ?>" name="<?= $formname ?>" method="post">
    <input name="input_id" type="hidden" value="<?= $input_department["id"] ?>">

    <table class="cardform" border="0" cellspacing="0" cellpadding="0">
        <div class='pr-30'>
            <? input($translation->get("description"), "input_description", "text", $input_department["description"], 100) ?>
        </div>
        <tr>
            <?php
            if(!empty($input_department['id'])) {
                selectFachbereich($input_department['id']);
            } 
            // selectMandant($input_department['id']);
            // selectUser($input_department['id']);
            ?>
        </tr>
    </table>
</form>